Debian Bug report logs - #429226
ITP: xmonad -- lightweight keyboard-friendly tiling window manager

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Daniel Jared Dominguez <danjared@MIT.EDU>

Date: Sat, 16 Jun 2007 11:45:01 UTC

Owned by: daniel jared dominguez <danjared@mit.edu>

Severity: wishlist

Fixed in version xmonad/0.4-4

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>:
Bug#429226; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Jared Dominguez <danjared@MIT.EDU>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Jared Dominguez <danjared@MIT.EDU>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: xmonad -- lightweight keyboard-friendly tiling window manager
Date: Fri, 15 Jun 2007 20:24:42 -0400
Package: wnpp
Severity: wishlist
Owner: Daniel Jared Dominguez <danjared@mit.edu>


* Package name    : xmonad
  Version         : 0.2
  Upstream Author : Spencer Janssen <sjanssen@cse.unl.edu>
* URL             : http://www.xmonad.org/
* License         : BSD
  Programming Lang: Haskell
  Description     : lightweight keyboard-friendly tiling window manager

Xmonad is a minimalist tiling window manager for X, written in
Haskell. Windows are managed using automatic layout algorithms,
which can be dynamically reconfigured. At any time windows are
arranged so as to maximise the use of screen real estate. All
features of the window manager are accessible purely from the
keyboard: a mouse is entirely optional.  Xmonad is configured in
Haskell, and custom layout algorithms may be implemented by the user
in config files. A principle of Xmonad is predictability: the user
ehould know in advance precisely the window arrangement that will
result from any action.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental'), (1, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.21-1-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=C (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>:
Bug#429226; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>. Full text and rfc822 format available.

Message #10 received at 429226@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: danjared@MIT.EDU
Cc: 429226@bugs.debian.org
Subject: Re: ITP: xmonad -- lightweight keyboard-friendly tiling window manager
Date: Fri, 27 Jul 2007 23:41:58 +0200
What's the status of this ITP?

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>:
Bug#429226; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Sam Vilain <sam.vilain@catalyst.net.nz>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>. Full text and rfc822 format available.

Message #15 received at 429226@bugs.debian.org (full text, mbox):

From: Sam Vilain <sam.vilain@catalyst.net.nz>
To: danjared@MIT.EDU
Cc: 429226@bugs.debian.org, daniel@debian.org
Subject: xmonad ITP
Date: Tue, 25 Sep 2007 18:02:11 +1200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

Did the xmonad packaging effort get anywhere?  I'd be quite keen to help
get this wm into Debian, and have a local mentor.
- --
Sam Vilain, Chief Yak Shaver, Catalyst IT (NZ) Ltd.
phone: +64 4 499 2267        PGP ID: 0x66B25843
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iEYEARECAAYFAkb4pGIACgkQ/AZAiGayWEMgrwCfdF2uPpP3l+iwUZu++A5pXcDI
ho0AoMEcSBS0cRFmks0PnL5v00cFbqvZ
=Xl0m
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>:
Bug#429226; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>. Full text and rfc822 format available.

Message #20 received at 429226@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 429226@bugs.debian.org
Subject: What are your Config.hs plans?
Date: Thu, 27 Sep 2007 23:01:30 +0200
Hi,

just wondering: What are your plans with regard to configuration? Will
you just provide a pre-compiled xmonad binary, or actually provide the
user with a simple way to configure, compile and install the binary?

Greetings,
Joachim

-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: joachimbreitner@amessage.de | http://people.debian.org/~nomeata





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>:
Bug#429226; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>. Full text and rfc822 format available.

Message #25 received at 429226@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 429226@bugs.debian.org
Subject: Debian xmonad packages − please test
Date: Sun, 07 Oct 2007 15:56:07 +0200
Hi,

I have created Debian packages for xmonad, based on the 0.3 release. I
will upload them to debian as soon as I get some positive feedback, so
please test them.

There are two binary packages:
 * xmonad
   contains the xmonad binary with the default configuration, as well as
   a wrapper in /usr/bin/xmonad that calls ~/.xmonad/xmonad instead, if
   it exists.
 * xmonad-rebuild
   contains the xmonad source and a script called xmonad-rebuild which
   will create a custom ~/.xmonad/xmonad if you have put your
   configuration in ~/.xmonad/config.hs
   It also comes with example configurations (contributions welcome)

It does not yet contain XMonadContrib. dons mentioned that he had
expected that directory to be present in the release tarballs, so when
it appears in 0.4, it will also be in the source shipped with
xmonad-rebuild and available for your custom configuration.

You can find the packages on http://people.debian.org/~nomeata/xmonad/

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: joachimbreitner@amessage.de | http://people.debian.org/~nomeata





Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>:
Bug#429226; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "A. Christine Spang" <spang@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, daniel jared dominguez <danjared@mit.edu>. Full text and rfc822 format available.

Message #30 received at 429226@bugs.debian.org (full text, mbox):

From: "A. Christine Spang" <spang@MIT.EDU>
To: 429226@bugs.debian.org
Cc: nomeata@debian.org
Subject: Debian xmonad packages
Date: Sat, 13 Oct 2007 23:55:44 -0400
Hey,

I gave your packages a whirl since I'm an xmonad user and have just been
building in my home directory for the time being, and things seem to
work fairly well so far. I like how you've put in the thought to design
a package system so that users who want to customize xmonad (probably
most of them given the intended audience) don't have to abandon the
Debian packages.

One thing that seems vaguely sketchy to me is using ~/.xmonad/xmonad as
the default location for custom-built binaries. Dot directories are
intended for configuration, and it seems very weird to put binaries
there. I would prefer ~/bin/xmonad, personally. However, these are just
my personal thoughts.

Anyhow, I haven't done extensive testing but for the most part I like
what I see so far. :) Are you planning on packaging common xmonad
accessories like e.g. dzen2 and xmobar as well?

Cheers,
Christine




Tags added: pending Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Fri, 19 Oct 2007 00:06:04 GMT) Full text and rfc822 format available.

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Jared Dominguez <danjared@MIT.EDU>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 429226-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 429226-close@bugs.debian.org
Subject: Bug#429226: fixed in xmonad 0.4-4
Date: Sun, 04 Nov 2007 00:16:28 +0000
Source: xmonad
Source-Version: 0.4-4

We believe that the bug you reported is fixed in the latest version of
xmonad, which is due to be installed in the Debian FTP archive:

xmonad-rebuild_0.4-4_all.deb
  to pool/main/x/xmonad/xmonad-rebuild_0.4-4_all.deb
xmonad_0.4-4.diff.gz
  to pool/main/x/xmonad/xmonad_0.4-4.diff.gz
xmonad_0.4-4.dsc
  to pool/main/x/xmonad/xmonad_0.4-4.dsc
xmonad_0.4-4_i386.deb
  to pool/main/x/xmonad/xmonad_0.4-4_i386.deb
xmonad_0.4.orig.tar.gz
  to pool/main/x/xmonad/xmonad_0.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated xmonad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Oct 2007 18:37:30 +0100
Source: xmonad
Binary: xmonad-rebuild xmonad
Architecture: source i386 all
Version: 0.4-4
Distribution: unstable
Urgency: low
Maintainer: Joachim Breitner <nomeata@debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 xmonad     - A lightweight X11 window manager
 xmonad-rebuild - Recompiler for xmonad
Closes: 429226 447966
Changes: 
 xmonad (0.4-4) unstable; urgency=low
 .
   * Add upstream url to copyright file
 .
 xmonad (0.4-3) unstable; urgency=low
 .
   * Support for extensions in /usr/share/xmonad/extensions/
 .
 xmonad (0.4-2) unstable; urgency=low
 .
   * Add Vcs-Darcs headers
   * change terminal name to x-terminal-emulator
   * and mplayer float app (Closes: #447966)
 .
 xmonad (0.4-1) unstable; urgency=low
 .
   * New upstream release
 .
 xmonad (0.3-0.4) UNRELEASED; urgency=low
 .
   * Use Config.hs instead of config.hs for xmonad-rebuild
 .
 xmonad (0.3-0.3) UNRELEASED; urgency=low
 .
   * Register as a proper window manager (desktop file for gdm,
     alternatives handling)
 .
 xmonad (0.3-0.2) UNRELEASED; urgency=low
 .
   * Support for user-compiled xmonad binary in /home/jojo/.xmonad/xmonad
 .
 xmonad (0.3-0.1) UNRELEASED; urgency=low
 .
   * Initial release. (Closes: #429226)
Files: 
 6a37b14565d73856480da3e671466684 807 x11 optional xmonad_0.4-4.dsc
 5d24c556f7c8f04954721b391fd79a13 41025 x11 optional xmonad_0.4.orig.tar.gz
 ea8068d428fa3123eba007d85e8fafba 7240 x11 optional xmonad_0.4-4.diff.gz
 c48ed7e11a9b4a7767213f16fd0fbaba 326460 x11 optional xmonad_0.4-4_i386.deb
 4a567029c07477919e62bd8a08c3d9c9 48870 x11 optional xmonad-rebuild_0.4-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHJmPr9ijrk0dDIGwRAgvfAKCGrcU3J4XH3b9BS1jW+HueYCQtigCeJVdg
SgMV6jvf1VpEjWXo5F0nN8Q=
=scHZ
-----END PGP SIGNATURE-----





Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Jared Dominguez <danjared@MIT.EDU>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #42 received at 429226-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 429226-close@bugs.debian.org
Subject: Bug#429226: fixed in xmonad 0.4-4
Date: Sun, 11 Nov 2007 06:47:58 +0000
Source: xmonad
Source-Version: 0.4-4

We believe that the bug you reported is fixed in the latest version of
xmonad, which is due to be installed in the Debian FTP archive:

xmonad-rebuild_0.4-4_all.deb
  to pool/main/x/xmonad/xmonad-rebuild_0.4-4_all.deb
xmonad_0.4-4.diff.gz
  to pool/main/x/xmonad/xmonad_0.4-4.diff.gz
xmonad_0.4-4.dsc
  to pool/main/x/xmonad/xmonad_0.4-4.dsc
xmonad_0.4-4_i386.deb
  to pool/main/x/xmonad/xmonad_0.4-4_i386.deb
xmonad_0.4.orig.tar.gz
  to pool/main/x/xmonad/xmonad_0.4.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 429226@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated xmonad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 29 Oct 2007 18:37:30 +0100
Source: xmonad
Binary: xmonad-rebuild xmonad
Architecture: source i386 all
Version: 0.4-4
Distribution: unstable
Urgency: low
Maintainer: Joachim Breitner <nomeata@debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 xmonad     - A lightweight X11 window manager
 xmonad-rebuild - Recompiler for xmonad
Closes: 429226 447966
Changes: 
 xmonad (0.4-4) unstable; urgency=low
 .
   * Add upstream url to copyright file
 .
 xmonad (0.4-3) unstable; urgency=low
 .
   * Support for extensions in /usr/share/xmonad/extensions/
 .
 xmonad (0.4-2) unstable; urgency=low
 .
   * Add Vcs-Darcs headers
   * change terminal name to x-terminal-emulator
   * and mplayer float app (Closes: #447966)
 .
 xmonad (0.4-1) unstable; urgency=low
 .
   * New upstream release
 .
 xmonad (0.3-0.4) UNRELEASED; urgency=low
 .
   * Use Config.hs instead of config.hs for xmonad-rebuild
 .
 xmonad (0.3-0.3) UNRELEASED; urgency=low
 .
   * Register as a proper window manager (desktop file for gdm,
     alternatives handling)
 .
 xmonad (0.3-0.2) UNRELEASED; urgency=low
 .
   * Support for user-compiled xmonad binary in /home/jojo/.xmonad/xmonad
 .
 xmonad (0.3-0.1) UNRELEASED; urgency=low
 .
   * Initial release. (Closes: #429226)
Files: 
 6a37b14565d73856480da3e671466684 807 x11 optional xmonad_0.4-4.dsc
 5d24c556f7c8f04954721b391fd79a13 41025 x11 optional xmonad_0.4.orig.tar.gz
 ea8068d428fa3123eba007d85e8fafba 7240 x11 optional xmonad_0.4-4.diff.gz
 c48ed7e11a9b4a7767213f16fd0fbaba 326460 x11 optional xmonad_0.4-4_i386.deb
 4a567029c07477919e62bd8a08c3d9c9 48870 x11 optional xmonad-rebuild_0.4-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHJmPr9ijrk0dDIGwRAgvfAKCGrcU3J4XH3b9BS1jW+HueYCQtigCeJVdg
SgMV6jvf1VpEjWXo5F0nN8Q=
=scHZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 10 Aug 2008 11:44:18 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 04:19:50 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.